libcoap 4.3.2rc2

Macros | Typedefs | Functions
coap_time.h File Reference

Clock Handling. More...

`#include <stdint.h>`

Go to the source code of this file.

## Macros
#define | COAP_TICKS_PER_SECOND ((coap_tick_t)(1000U))
| Use ms resolution on POSIX systems. More...

## Typedefs
typedef uint64_t | coap_tick_t
| This data type represents internal timer ticks with COAP_TICKS_PER_SECOND resolution. More...
typedef time_t | coap_time_t
| CoAP time in seconds since epoch. More...
typedef int64_t | coap_tick_diff_t
| This data type is used to represent the difference between two clock_tick_t values. More...

## Functions
void | coap_clock_init (void)
| Initializes the internal clock. More...
void | coap_ticks (coap_tick_t *t)
| Sets `t` to the internal time with COAP_TICKS_PER_SECOND resolution. More...
coap_time_t | coap_ticks_to_rt (coap_tick_t t)
| Helper function that converts coap ticks to wallclock time. More...
uint64_t | coap_ticks_to_rt_us (coap_tick_t t)
| Helper function that converts coap ticks to POSIX wallclock time in us. More...
coap_tick_t | coap_ticks_from_rt_us (uint64_t t)
| Helper function that converts POSIX wallclock time in us to coap ticks. More...
COAP_STATIC_INLINE int | coap_time_lt (coap_tick_t a, coap_tick_t b)
| Returns `1` if and only if `a` is less than `b` where less is defined on a signed data type. More...
COAP_STATIC_INLINE int | coap_time_le (coap_tick_t a, coap_tick_t b)
| Returns `1` if and only if `a` is less than or equal `b` where less is defined on a signed data type. More...

## Detailed Description

Clock Handling.

Definition in file coap_time.h.